Package classycle.dependency

# Class DependencyCheckerCommandLine

java.lang.Object
classycle.CommandLine
classycle.dependency.DependencyCheckerCommandLine

public class DependencyCheckerCommandLine extends CommandLine

Author:
  Franz-Josef Elmer

## Field Summary

### Fields inherited from class classycle.CommandLine

`_classFiles, _pattern, _reflectionPattern, _valid`

## Constructor Summary

Constructors
Constructor
Description
`DependencyCheckerCommandLine(String[] args)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDependencyDefinition()`
`ResultRenderer`
`getRenderer()`
`String`
`getUsage()`
Returns the usage of correct command line arguments and options.
`protected void`
`handleOption(String argument)`
`boolean`
`isValid()`
Returns `true` if the command line arguments and options are valid.

### Methods inherited from class classycle.CommandLine

`getClassFiles, getPattern, getReflectionPattern, isMergeInnerClasses`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DependencyCheckerCommandLine

public DependencyCheckerCommandLine(String[] args)

## Method Details

### handleOption

protected void handleOption(String argument)

Overrides:
  `handleOption` in class `CommandLine`

### getUsage

public String getUsage()
Returns the usage of correct command line arguments and options.

Overrides:
  `getUsage` in class `CommandLine`

### getDependencyDefinition

public String getDependencyDefinition()

### getRenderer

public ResultRenderer getRenderer()

### isValid

public boolean isValid()
Description copied from class: `CommandLine`
Returns `true` if the command line arguments and options are valid.

Overrides:
  `isValid` in class `CommandLine`